<?xml version="1.0" encoding="UTF-8"?>
<!-- rcCheckVoorkomen_ConditioneleWaarde_v1.0.xslt, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
			- als ConditioneelElement gelijk is aan één van de waarden in ConditioneleWaarde, controleer of TeControlerenElement wel (Controle = 'J') of niet (Controle='N') voorkomt; zo niet dan wordt Retourcode geretourneerd.
			 - de mogelijke waarden in ConditioneleWaarde moeten zijn gescheiden door het teken |
			 - in de routine wordt het teken | voor en achter de te controleren waarde en ConditioneleWaarde geplaatst om te voorkomen dat een substring van de vereiste waarde ook als correct zou worden beoordeeld -->
					
	<xsl:template name="rcCheckVoorkomen_ConditioneleWaarde">
		<xsl:param name="TeControlerenElement"/>
		<xsl:param name="Controle"/>  	<!-- mogelijke waarden in aanroep 'J' en 'N' -->
		<xsl:param name="ConditioneelElement"/>
		<xsl:param name="ConditioneleWaarde"/>   <!-- bij meer dan 1 mogelijke waarde, de waarden in de aanroep scheiden met |, b.v. '01|02' -->
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$ConditioneelElement and 
				(($Vergelijking='gelijkaan' and contains(concat('|',$ConditioneleWaarde,'|'),concat('|',$ConditioneelElement,'|'))) or 
				($Vergelijking='ongelijkaan' and not(contains(concat('|',$ConditioneleWaarde,'|'),concat('|',$ConditioneelElement,'|'))))) and
				(($Controle='J' and not($TeControlerenElement)) or ($Controle='N' and $TeControlerenElement))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($ConditioneelElement)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$ConditioneelElement"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
