<?xml version="1.0" encoding="UTF-8"?>
<!-- rcCheckWaarde_ConditioneelElement_v1.0.xslt, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
			- als ConditioneelElement voorkomt, controleer of de waarde van TeControlerenElement gelijk is aan één van de waarden in VereisteWaarde; zo niet dan wordt Retourcode geretourneerd.
			 - de mogelijke waarden in VereisteWaarde zijn gescheiden door het teken |
			 - in de routine wordt het teken | voor en achter de te controleren waarde en voor en achter VereisteWaarde geplaatst om te voorkomen dat een substring van de vereiste waarde ook als correct zou worden beoordeeld -->
					
	<xsl:template name="rcCheckWaarde_ConditioneelElement">
		<xsl:param name="TeControlerenElement"/>
		<xsl:param name="VereisteWaarde"/>   <!-- bij meer dan 1 toegestane waarde, de waarden in de aanroep scheiden met |, b.v. '01|02' -->
		<xsl:param name="ConditioneelElement"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$ConditioneelElement and 
						not(contains(concat('|',$VereisteWaarde,'|'),concat('|',$TeControlerenElement,'|')))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($TeControlerenElement)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$TeControlerenElement"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
